//----------------------------------------------------------------------------
// ObjectWindows
// Copyright (c) 1998 by Bidus Yura, All Rights Reserved
//----------------------------------------------------------------------------
#include <owlext/core.h>
#pragma hdrstop

#include <owl/functor.h>
#include <owlext/dlgapp.h>
#include <owlext/calcedit.h>

////////////////////////////////////////////////////////////////////////////////
#include <owlext/owlxlink.h>  // have to be only once
////////////////////////////////////////////////////////////////////////////////

#include "calced.rh"

OWLEXT_USING_NAMESPACE
	// So we can refer to all OwlExt classes without the prefacing "OwlExt::"

class TCalcEditDlg : public TDialog {
	public:
		TCalcEditDlg(TWindow* parent);
};
TCalcEditDlg::TCalcEditDlg(TWindow* parent)
:
	TDialog(parent, IDD_CALCEDIT)
{
	new TCalcEdit(this, IDC_CALCEDIT, 10, 2,0,0);
}
//==============================================================================


//==============================================================================
static TDialog* CreateDialogFunctor()
{
	return new TCalcEditDlg(0);
}


int
OwlMain(int /*argc*/, char* /*argv*/ [])
{
 return TDialogApp(Functor((DialogAppFunctor*)0, CreateDialogFunctor), _T("Calc dialog")).Run();
}

//==============================================================================
